Name:           guile-commonmark
Version:        0.1.2
Release:        1%{?dist}
Summary:        CommonMark parser for Guile

License:        LGPL-3.0-or-later
URL:            https://github.com/OrangeShark/guile-commonmark
Source0:        https://github.com/OrangeShark/guile-commonmark/releases/download/v%{version}/guile-commonmark-%{version}.tar.gz 

BuildRequires:  make, pkgconfig(guile-3.0)
# For tests
BuildRequires:  glibc-langpack-en
Requires:       guile30

%global guile_site_dir %(pkg-config --variable sitedir guile-3.0)
%global guile_ccache_dir %(pkg-config --variable siteccachedir guile-3.0)
%global debug_package %{nil}

%description
Library for parsing CommonMark, a fully specified
variant of Markdown.  The library is written in Guile Scheme and is designed
to transform a CommonMark document to SXML.  guile-commonmark tries to closely
follow the @uref{http://commonmark.org/, CommonMark spec}, the main difference
is no support for parsing block and inline level HTML.

%prep
%autosetup


%build
# enable guile 3.0
sed -i 's|"2\.2 2\.0"|"3.0 2.2 2.0"|' configure
%configure
%make_build


%install
%make_install

%check
%{__make} %{?_smp_mflags} check

%files
%license COPYING.LESSER COPYING
%doc README.md

%{guile_site_dir}/commonmark.scm
%{guile_ccache_dir}/commonmark.go
%{guile_site_dir}/commonmark
%{guile_ccache_dir}/commonmark

%changelog
%autochangelog
